#ifndef USERLISTWIDGET_H
#define USERLISTWIDGET_H

#include <QWidget>
#include "lock-dialog/lockdialogmodel.h"
#include "mylistwidget.h"

class QListWidgetItem;

extern float scale;
class UserListWidget : public MyListWidget
{
    Q_OBJECT
public:
    explicit UserListWidget(LockDialogModel *model, QWidget *parent = nullptr);

    void updateWidgetSize();

public Q_SLOTS:
    void onUpdateListInfo();
    void onListItemClicked(QListWidgetItem *item);

Q_SIGNALS:
    void userSelected(QString strUserName);

private:
    void initUI();
    void initConnections();

private:
    LockDialogModel *m_modelLockDialog = nullptr;
};

#endif // USERLISTWIDGET_H
